# coding: UTF-8

# Marks scenario as pending
#Then /^it should work$/ do
step "it should work" do
  pending
end

# Starts debugger, or Pry if installed
#Then /^debugger$/ do
step "debugger" do
  if binding.respond_to? :pry
    binding.pry
  else
    debugger
  end

  true # Ruby will halt in this line
end

::RSpec.configure do |config|
  # Waits 2 seconds after each step
  config.after(slow_motion: true) do
    sleep 2
  end

  # Waits for keypress after each step
  config.after(single_step: true) do
    print "Single Stepping. Hit enter to continue"
    STDIN.getc
  end
end
